<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SigGen: /home/x/siggen/lib/include/Data.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SigGen
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('_data_8h_source.html','');});
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Data.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#include &lt;memory&gt;</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;File.h&quot;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;HashBase.h&quot;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160; </div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">namespace </span>siggen {</div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160; </div>
<div class="line"><a name="l00012"></a><span class="lineno"><a class="line" href="structsiggen_1_1_data.html">   12</a></span>&#160;    <span class="keyword">struct </span><a class="code" href="structsiggen_1_1_data.html">Data</a></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    {</div>
<div class="line"><a name="l00014"></a><span class="lineno"><a class="line" href="structsiggen_1_1_data.html#a1006e97814f7d32c8668575d56ba8bdf">   14</a></span>&#160;        <span class="keywordtype">size_t</span> <a class="code" href="structsiggen_1_1_data.html#a1006e97814f7d32c8668575d56ba8bdf">m_BlockSize</a> { 0 };                           </div>
<div class="line"><a name="l00015"></a><span class="lineno"><a class="line" href="structsiggen_1_1_data.html#a72381ffd52528bf1d9e478a18a07f564">   15</a></span>&#160;        <span class="keywordtype">size_t</span> <a class="code" href="structsiggen_1_1_data.html#a72381ffd52528bf1d9e478a18a07f564">m_InputFileSize</a> { 0 };                       </div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="structsiggen_1_1_data.html#aaf8091edab7f24f7b6f725f6abbacc23">   16</a></span>&#160;        <span class="keywordtype">size_t</span> <a class="code" href="structsiggen_1_1_data.html#aaf8091edab7f24f7b6f725f6abbacc23">m_InputBlockCount</a> { 0 };                     </div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="structsiggen_1_1_data.html#a10d14f9813765c6f31080355bad10dbd">   17</a></span>&#160;        uint32_t <a class="code" href="structsiggen_1_1_data.html#a10d14f9813765c6f31080355bad10dbd">m_ThreadCount</a> { 0 };                       </div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160; </div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="structsiggen_1_1_data.html#a09582db7e870dfdd031c9076338384cb">   19</a></span>&#160;        std::unique_ptr&lt;File&gt; <a class="code" href="structsiggen_1_1_data.html#a09582db7e870dfdd031c9076338384cb">m_InputFile</a>;                  </div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="structsiggen_1_1_data.html#a06a7600d0e0634bbb0275b81589fd5aa">   20</a></span>&#160;        std::unique_ptr&lt;HashBase&gt; <a class="code" href="structsiggen_1_1_data.html#a06a7600d0e0634bbb0275b81589fd5aa">m_Hash</a>;                   </div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;    };</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;} <span class="comment">// namespace siggen</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="astructsiggen_1_1_data_html_aaf8091edab7f24f7b6f725f6abbacc23"><div class="ttname"><a href="structsiggen_1_1_data.html#aaf8091edab7f24f7b6f725f6abbacc23">siggen::Data::m_InputBlockCount</a></div><div class="ttdeci">size_t m_InputBlockCount</div><div class="ttdoc">block count (number of generated signatures)</div><div class="ttdef"><b>Definition:</b> <a href="_data_8h_source.html#l00016">Data.h:16</a></div></div>
<div class="ttc" id="astructsiggen_1_1_data_html_a72381ffd52528bf1d9e478a18a07f564"><div class="ttname"><a href="structsiggen_1_1_data.html#a72381ffd52528bf1d9e478a18a07f564">siggen::Data::m_InputFileSize</a></div><div class="ttdeci">size_t m_InputFileSize</div><div class="ttdoc">file size in bytes</div><div class="ttdef"><b>Definition:</b> <a href="_data_8h_source.html#l00015">Data.h:15</a></div></div>
<div class="ttc" id="astructsiggen_1_1_data_html_a06a7600d0e0634bbb0275b81589fd5aa"><div class="ttname"><a href="structsiggen_1_1_data.html#a06a7600d0e0634bbb0275b81589fd5aa">siggen::Data::m_Hash</a></div><div class="ttdeci">std::unique_ptr&lt; HashBase &gt; m_Hash</div><div class="ttdoc">signature function</div><div class="ttdef"><b>Definition:</b> <a href="_data_8h_source.html#l00020">Data.h:20</a></div></div>
<div class="ttc" id="astructsiggen_1_1_data_html_a1006e97814f7d32c8668575d56ba8bdf"><div class="ttname"><a href="structsiggen_1_1_data.html#a1006e97814f7d32c8668575d56ba8bdf">siggen::Data::m_BlockSize</a></div><div class="ttdeci">size_t m_BlockSize</div><div class="ttdoc">block size specified from options</div><div class="ttdef"><b>Definition:</b> <a href="_data_8h_source.html#l00014">Data.h:14</a></div></div>
<div class="ttc" id="astructsiggen_1_1_data_html_a10d14f9813765c6f31080355bad10dbd"><div class="ttname"><a href="structsiggen_1_1_data.html#a10d14f9813765c6f31080355bad10dbd">siggen::Data::m_ThreadCount</a></div><div class="ttdeci">uint32_t m_ThreadCount</div><div class="ttdoc">thread count</div><div class="ttdef"><b>Definition:</b> <a href="_data_8h_source.html#l00017">Data.h:17</a></div></div>
<div class="ttc" id="astructsiggen_1_1_data_html"><div class="ttname"><a href="structsiggen_1_1_data.html">siggen::Data</a></div><div class="ttdoc">provides threading manager with necessary data to work with</div><div class="ttdef"><b>Definition:</b> <a href="_data_8h_source.html#l00012">Data.h:12</a></div></div>
<div class="ttc" id="astructsiggen_1_1_data_html_a09582db7e870dfdd031c9076338384cb"><div class="ttname"><a href="structsiggen_1_1_data.html#a09582db7e870dfdd031c9076338384cb">siggen::Data::m_InputFile</a></div><div class="ttdeci">std::unique_ptr&lt; File &gt; m_InputFile</div><div class="ttdoc">input file (binary)</div><div class="ttdef"><b>Definition:</b> <a href="_data_8h_source.html#l00019">Data.h:19</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_97aefd0d527b934f1d99a682da8fe6a9.html">lib</a></li><li class="navelem"><a class="el" href="dir_5a30104352ef4255dc24354b02eb2d20.html">include</a></li><li class="navelem"><b>Data.h</b></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.16 </li>
  </ul>
</div>
</body>
</html>
